import { EosioAuthorizationObject, EosioActionObject } from "../types";
export declare class ActionGenerator {
    readonly contract: string;
    readonly token_contract: string;
    constructor(contract: string, token_contract: string);
    open(authorization: EosioAuthorizationObject[], owner: string, symbol: string, payer: string): Promise<EosioActionObject[]>;
    close(authorization: EosioAuthorizationObject[], owner: string, symbol: string): Promise<EosioActionObject[]>;
    createPool(authorization: EosioAuthorizationObject[], owner: string, description: string, ticker: string, is_inflatable: boolean, is_deflatable: boolean, is_treasury: boolean): Promise<EosioActionObject[]>;
    addToWhiteList(authorization: EosioAuthorizationObject[], pool_id: number, user: string): Promise<EosioActionObject[]>;
    rmvFromWhiteList(authorization: EosioAuthorizationObject[], pool_id: number, user: string): Promise<EosioActionObject[]>;
    stakeToPool(authorization: EosioAuthorizationObject[], from: string, quantity: string, pool_id: string): Promise<EosioActionObject[]>;
    withdrawFromPool(authorization: EosioAuthorizationObject[], owner: string, quantity: string): Promise<EosioActionObject[]>;
    protected _pack(account: string, authorization: EosioAuthorizationObject[], name: string, data: any): EosioActionObject[];
}
